use crate::prelude::*;

pub fn setup_logging(env_filter: &str) -> Result<(), color_eyre::Report> {
    color_eyre::install()?;

    let filter = tracing_subscriber::EnvFilter::builder()
        .with_default_directive(<tracing_subscriber::filter::Directive>::from(
            tracing::level_filters::LevelFilter::TRACE,
        ))
        .parse_lossy(env_filter);

    tracing_subscriber::fmt().with_env_filter(filter).init();

    let filter = tracing_subscriber::EnvFilter::builder()
        .with_default_directive(<tracing_subscriber::filter::Directive>::from(
            tracing::level_filters::LevelFilter::TRACE,
        ))
        .parse_lossy(env_filter);

    info!(%filter);

    Ok(())
}
